io.vertx.rxjava3.core.net

## Class SelfSignedCertificate

- java.lang.Object
- - io.vertx.rxjava3.core.net.SelfSignedCertificate

-     public class SelfSignedCertificate
      extends Object

  A self-signed certificate helper for testing and development purposes.

  While it helps for testing and development, it should never ever be used in production settings.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<SelfSignedCertificate>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelfSignedCertificate(Object delegate)`
    `SelfSignedCertificate(SelfSignedCertificate delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `certificatePath()` Filesystem path to the X.509 certificate file in PEM format .
    `static SelfSignedCertificate` | `create()` Create a new `SelfSignedCertificate` instance.
    `static SelfSignedCertificate` | `create(String fqdn)` Create a new `SelfSignedCertificate` instance with a fully-qualified domain name,
    `void` | `delete()` Delete the private key and certificate files.
    `boolean` | `equals(Object o)`
    `SelfSignedCertificate` | `getDelegate()`
    `int` | `hashCode()`
    `PemKeyCertOptions` | `keyCertOptions()` Provides the `KeyCertOptions` RSA private key file in PEM format corresponding to the `privateKeyPath()`
    `static SelfSignedCertificate` | `newInstance(SelfSignedCertificate arg)`
    `String` | `privateKeyPath()` Filesystem path to the RSA private key file in PEM format
    `String` | `toString()`
    `PemTrustOptions` | `trustOptions()` Provides the `TrustOptions` X.509 certificate file in PEM format corresponding to the `certificatePath()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<SelfSignedCertificate> __TYPE_ARG

  - ### Constructor Detail

    - #### SelfSignedCertificate

          public SelfSignedCertificate(SelfSignedCertificate delegate)

    - #### SelfSignedCertificate

          public SelfSignedCertificate(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public SelfSignedCertificate getDelegate()

    - #### keyCertOptions

          public PemKeyCertOptions keyCertOptions()

      Provides the `KeyCertOptions` RSA private key file in PEM format corresponding to the `privateKeyPath()`
      Returns:
        a `PemKeyCertOptions` based on the generated certificate.

    - #### trustOptions

          public PemTrustOptions trustOptions()

      Provides the `TrustOptions` X.509 certificate file in PEM format corresponding to the `certificatePath()`
      Returns:
        a `PemTrustOptions` based on the generated certificate.

    - #### privateKeyPath

          public String privateKeyPath()

      Filesystem path to the RSA private key file in PEM format
      Returns:
        the absolute path to the private key.

    - #### certificatePath

          public String certificatePath()

      Filesystem path to the X.509 certificate file in PEM format .
      Returns:
        the absolute path to the certificate.

    - #### delete

          public void delete()

      Delete the private key and certificate files.

    - #### create

          public static SelfSignedCertificate create()

      Create a new `SelfSignedCertificate` instance.
      Returns:
        a new instance.

    - #### create

          public static SelfSignedCertificate create(String fqdn)

      Create a new `SelfSignedCertificate` instance with a fully-qualified domain name,
      Parameters:
        `fqdn` - a fully qualified domain name.
      Returns:
        a new instance.

    - #### newInstance

          public static SelfSignedCertificate newInstance(SelfSignedCertificate arg)

Copyright © 2022 Eclipse. All rights reserved.